Documentation menu

Workflows

5 operations.

Start a Workflow

POST/api/v1/projects/{projectId}/environments/{environmentId}/workflows

Admit a pinned operation Workflow and return its durable run.

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Start a Workflow.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Start a Workflow.

Request body

required — Request body for: Start a Workflow.

application/json

NameTypeRequiredDescription
agentIdstringrequired
definitionIdOrNameone of 2 typesrequired
paramsobjectoptional
requestKeystringoptional
actorUserIdstringoptional

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
202Response for status 202
application/json
object
  • data (required): object
400Bad Request
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Get Workflow status

GET/api/v1/projects/{projectId}/environments/{environmentId}/workflows/{workflowRunId}

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Get Workflow status.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Get Workflow status.
workflowRunIdstringrequiredIdentifies the durable Workflow run being addressed. Applies to Get Workflow status.

query

NameTypeRequiredDescription
actorUserIdstringoptionalSelects the external actor whose personalized Workflow authorization is being checked. Applies to Get Workflow status.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Cancel a Workflow

POST/api/v1/projects/{projectId}/environments/{environmentId}/workflows/{workflowRunId}/cancel

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Cancel a Workflow.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Cancel a Workflow.
workflowRunIdstringrequiredIdentifies the durable Workflow run being addressed. Applies to Cancel a Workflow.

query

NameTypeRequiredDescription
actorUserIdstringoptionalSelects the external actor whose personalized Workflow authorization is being checked. Applies to Cancel a Workflow.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Resolve an unknown Workflow effect

POST/api/v1/projects/{projectId}/environments/{environmentId}/workflows/{workflowRunId}/resolve-unknown

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Resolve an unknown Workflow effect.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Resolve an unknown Workflow effect.
workflowRunIdstringrequiredIdentifies the durable Workflow run being addressed. Applies to Resolve an unknown Workflow effect.

Request body

required — Request body for: Resolve an unknown Workflow effect.

application/json

NameTypeRequiredDescription
stepIdstringrequired
outcomeone of 2 typesrequired

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400Bad Request
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Resume a paused Workflow

POST/api/v1/projects/{projectId}/environments/{environmentId}/workflows/{workflowRunId}/resume

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Resume a paused Workflow.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Resume a paused Workflow.
workflowRunIdstringrequiredIdentifies the durable Workflow run being addressed. Applies to Resume a paused Workflow.

query

NameTypeRequiredDescription
actorUserIdstringoptionalSelects the external actor whose personalized Workflow authorization is being checked. Applies to Resume a paused Workflow.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object